ManagementDatabases
Create a database
POST
Returns 202 at once. The database is provisioned by a background job.
Authorization
bearer AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name*string
project_id*ProjectId
The project to create it in; the caller needs Admin on it.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/databases" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9" }'{ "database_id": "91088904-0b92-46ad-9240-e1afa0da22df", "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f", "status": "pending"}